Subject: [bug#50505] [PATCH v3 08/12] gnu: Add python-moderngl-window.

From: Daniel Meißner <[email-masked]>
Date: Mon, 10 Jan 2022 09:40:05 +0100

Hi Liliana,

Liliana Marie Prikler writes:
> Am Sonntag, dem 02.01.2022 um 00:51 +0100 schrieb Daniel Meißner:
>> +The tests test_texture_mimpamps, test_texture_abspath,
>> test_load_texture_2d
>> +and test_load_texture_array fail when Guix builds the package.  This
>> is not
>> +the case when running the tests directly from a source tree.
>> +
> You might be missing an X extension here.  Try adjusting the Xvfb call.

After some research on the internet and grepping Guix sources I adjusted
the invocation of Xvfb to the following:

Xvfb :1 +extension GLX &

as used for example in the package definition of gtk.  However, the same
four tests still fail.  Do you have an idea what other X extensions
might be missing?

Thanks,
Daniel